lxqt-qtplugin-0.12.0

Introduction to lxqt-qtplugin

The lxqt-qtplugin package provides an LXQt Qt platform integration plugin.

This package is known to build and work properly using an LFS-8.1 platform.

Package Information

lxqt-qtplugin Dependencies

Required

liblxqt-0.12.0 and libdbusmenu-qt-0.9.3+16.04.20160218

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/lxqt-qtplugin

Installation of lxqt-qtplugin

Install lxqt-qtplugin by running the following commands:

mkdir -v build &&
cd       build &&

cmake -DCMAKE_BUILD_TYPE=Release          \
      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
      ..       &&

make

This package does not come with a test suite.

Now, as the root user:

make install

Configuring lxqt-qtplugin

Configuration Information

To use the plugin in Qt 5, the environment variable QT_QPA_PLATFORMTHEME must be set to “lxqt”. One way to do that is to issue as the root user:

cat >> /etc/profile.d/lxqt.sh << "EOF"
# Begin lxqt-qtplugin configuration

export QT_QPA_PLATFORMTHEME=lxqt

# End lxqt-qtplugin configuration
EOF

Contents

Installed Programs: None
Installed Library: libqtlxqt.so (in $QT5DIR/plugins/platformthemes)
Installed Directory: $QT5DIR/plugins/platformthemes (if a minimal Qt5 has been built as explained in LXQt Pre-Install

Short Descriptions

libqtlxqt.so

contains the LXQt QT plugin.

Last updated on 2017-10-27 11:21:45 -0500